Bug 62176 - XML file should be recognizable by root element
XML file should be recognizable by root element
Status: STARTED
Product: apisupport
Classification: Unclassified
Component: Templates
5.x
All All
: P3 (vote)
: 7.4
Assigned To: Martin Kozeny
issues@apisupport
: NETFIX
: 64149 157819 202788 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 17:28 UTC by Geertjan Wielenga
Modified: 2013-02-14 13:17 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch1 (22.15 KB, patch)
2012-02-19 07:44 UTC, remould
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geertjan Wielenga 2005-08-11 17:28:00 UTC
XML file should be recognizable by root element. Current implementation and UI
spec allow recognition only be namespace.
Comment 1 Geertjan Wielenga 2005-08-24 13:46:01 UTC
I think this one can also be set to WONTFIX. The help topic (once the help
button is enabled...) will explain that if you want to distinguish a file type
by root element, you should set the XML file's namespace here.
Comment 2 Jesse Glick 2005-08-24 14:13:10 UTC
It's still a valid RFE even if there is a documented workaround. :-)
Comment 3 Geertjan Wielenga 2005-08-24 14:19:48 UTC
:-) Ok. In that case, I think what I'm proposing is that the panel should let
the user specify the namespace or the XML root element, or both.
Comment 4 Jesse Glick 2005-09-12 23:22:33 UTC
*** Issue 64149 has been marked as a duplicate of this issue. ***
Comment 5 Jesse Glick 2006-02-21 18:49:21 UTC
Workaround is simply to go through the wizard and then edit the MIME resolver
file to use some other criteria, acc. to its DTD and documentation, available here:

http://www.netbeans.org/download/dev/javadoc/org-openide-filesystems/org/openide/filesystems/doc-files/HOWTO-MIME.html
Comment 6 Geertjan Wielenga 2008-03-18 15:56:45 UTC
I think the workaround is fine. So I'm closing as WONTFIX.
Comment 7 Jesse Glick 2011-11-10 20:43:49 UTC
*** Bug 157819 has been marked as a duplicate of this bug. ***
Comment 8 Jesse Glick 2011-11-10 20:43:55 UTC
*** Bug 202788 has been marked as a duplicate of this bug. ***
Comment 9 Jesse Glick 2011-11-10 20:48:16 UTC
Still occasionally asked for. Would be a good candidate for NetFIX, I think - code is limited to one package and easy enough to test.
Comment 10 Jiri Kovalsky 2011-11-11 08:52:16 UTC
OK, I added the keyword and put the issue to the pool: http://wiki.netbeans.org/NetFIXIssues
Comment 11 remould 2011-11-11 09:18:45 UTC
I'd like to NetFIX [1] this bug. Is it possible? [1] http://wiki.netbeans.org/NetFIX
Comment 12 Jiri Kovalsky 2011-11-11 09:35:35 UTC
Jesse, are you willing to review and integrate the patch?
Comment 13 Jesse Glick 2011-11-16 00:44:53 UTC
Sure!
Comment 14 remould 2011-11-29 16:16:51 UTC
I'm struggling on finding the module I have to work on. Can someone tell me which module I should work on?
Comment 15 remould 2011-12-29 06:58:45 UTC
Found another issue while fixing this. Reported a separate bug, see bug 206780 . Currently Im blocked by this issue.
Comment 16 Jesse Glick 2011-12-29 12:29:58 UTC
That was reported against 7.0.1. If you are preparing a patch you need to be working against trunk (7.2 dev) sources.
Comment 17 remould 2012-02-19 07:43:43 UTC
Bug fixed. The patch is attached for review. Few test cases have also been added to cover the new feature addition.
Comment 18 remould 2012-02-19 07:44:28 UTC
Created attachment 115914 [details]
patch1
Comment 19 Jiri Kovalsky 2012-02-19 20:03:15 UTC
Please don't resolve bug as fixed before the code is actually integrated into the codebase. Thanks.
Comment 20 Jesse Glick 2012-02-20 21:35:42 UTC
The patch does not apply against trunk sources (conflict in NewLoaderIterator.java). Probably you need to look at what has happened recently in bug #191777 and to a lesser extent in bug #207219.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo